ExternalSPSBeanMetrics (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.sps.metrics, class: ExternalSPSBeanMetrics

Package org.apache.hadoop.hdfs.server.sps.metrics

# Class ExternalSPSBeanMetrics

java.lang.Object
org.apache.hadoop.hdfs.server.sps.metrics.ExternalSPSBeanMetrics

All Implemented Interfaces:
  `ExternalSPSMXBean`

public class ExternalSPSBeanMetrics extends Object implements ExternalSPSMXBean
Expose the ExternalSPS metrics.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExternalSPSBeanMetrics(StoragePolicySatisfier sps)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Unregister the JMX interfaces.
  `int`
  `getAttemptedItemsCount()`
  Gets the count of attempted items.
  `int`
  `getMovementFinishedBlocksCount()`
  Gets the count of movement finished blocks.
  `int`
  `getProcessingQueueSize()`
  Gets the queue size of StorageMovementNeeded.
  `void`
  `updateAttemptedItemsCount()`
  `void`
  `updateMovementFinishedBlocksCount()`
  `void`
  `updateProcessingQueueSize()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExternalSPSBeanMetrics

    public ExternalSPSBeanMetrics(StoragePolicySatisfier sps)

- ## Method Details

  - ### close

    public void close()
    Unregister the JMX interfaces.

  - ### getProcessingQueueSize

    public int getProcessingQueueSize()
    Description copied from interface: `ExternalSPSMXBean`
    Gets the queue size of StorageMovementNeeded.
    Specified by:
      `getProcessingQueueSize` in interface `ExternalSPSMXBean`
    Returns:
      the queue size of StorageMovementNeeded.

  - ### updateProcessingQueueSize

    @VisibleForTesting public void updateProcessingQueueSize()

  - ### getMovementFinishedBlocksCount

    public int getMovementFinishedBlocksCount()
    Description copied from interface: `ExternalSPSMXBean`
    Gets the count of movement finished blocks.
    Specified by:
      `getMovementFinishedBlocksCount` in interface `ExternalSPSMXBean`
    Returns:
      the count of movement finished blocks.

  - ### updateMovementFinishedBlocksCount

    @VisibleForTesting public void updateMovementFinishedBlocksCount()

  - ### getAttemptedItemsCount

    public int getAttemptedItemsCount()
    Description copied from interface: `ExternalSPSMXBean`
    Gets the count of attempted items.
    Specified by:
      `getAttemptedItemsCount` in interface `ExternalSPSMXBean`
    Returns:
      the count of attempted items.

  - ### updateAttemptedItemsCount

    @VisibleForTesting public void updateAttemptedItemsCount()